// Textured, vary color

#ifdef GL_ES
precision mediump float;
#else
#define lowp
#define mediump
#define highp
#endif

uniform sampler2D texture, blur_texture;
varying vec2 v_texcoord;

uniform float blur;
varying vec2 dist;

#define SQRT2 0.707106781

void main(void)
{
	float l = texture2D(blur_texture, v_texcoord).r;
	float b = blur * l*l;
	float b2 = b*SQRT2;
    gl_FragColor = 
		( texture2D(texture, v_texcoord)
		 +texture2D(texture, v_texcoord + vec2(-b2, b2) )
		 +texture2D(texture, v_texcoord + vec2( b2, b2) )
		 +texture2D(texture, v_texcoord + vec2(-b2,-b2) )
		 +texture2D(texture, v_texcoord + vec2( b2,-b2) )
		 +texture2D(texture, v_texcoord + vec2(-b, 0) )
		 +texture2D(texture, v_texcoord + vec2( b, 0) )
		 +texture2D(texture, v_texcoord + vec2(    0,-b) )
		 +texture2D(texture, v_texcoord + vec2(    0, b) )
		   ) / 9.0;
}